Package org.apache.maven.scm.provider.cvslib

## Class CvsScmTestUtils

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.CvsScmTestUtils

    public final class CvsScmTestUtils
    extends java.lang.Object

Author:
  Brett Porter

### Field Summary

Fields
`static java.lang.String` `CVS_COMMAND_LINE` 'cvs' command line

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `executeCVS​(java.io.File workingDirectory, java.lang.String arguments)`
`static java.lang.String` `getScmUrl​(java.io.File repository, java.lang.String module)`
`static void` `initRepo​(java.io.File repository, java.io.File workingDirectory, java.io.File assertionDirectory)`
`static void` `initRepo​(java.lang.String source, java.io.File repository, java.io.File workingDirectory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CVS_COMMAND_LINE

    public static final java.lang.String CVS_COMMAND_LINE

'cvs' command line

See Also:
  Constant Field Values

### Method Detail

#### getScmUrl

    public static java.lang.String getScmUrl​(java.io.File repository,
                                             java.lang.String module)

#### executeCVS

    public static void executeCVS​(java.io.File workingDirectory,
                                  java.lang.String arguments)
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### initRepo

    public static void initRepo​(java.io.File repository,
                                java.io.File workingDirectory,
                                java.io.File assertionDirectory)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### initRepo

    public static void initRepo​(java.lang.String source,
                                java.io.File repository,
                                java.io.File workingDirectory)
                         throws java.io.IOException

Throws:
  `java.io.IOException`